## mutter-mobile 48.0

=== debian/changelog ===
mutter-mobile (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Pedro Echanove <pedro.echanove@liberux.net>  Sun, 25 May 2025 20:25:18 +0200
