=== debian/control ===
Source: mutter-mobile
Section: x11
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-gir,
               dh-sequence-gnome,
               at-spi2-core <!nocheck>,
               adwaita-icon-theme <!nocheck>,
               bash-completion,
               dbus-daemon <!nocheck>,
               dmz-cursor-theme <!nocheck>,
               gir1.2-atk-1.0-dev,
               gir1.2-cairo-1.0-dev,
               gir1.2-gdesktopenums-3.0-dev,
               gir1.2-gio-2.0-dev,
               gir1.2-gl-1.0-dev,
               gir1.2-gobject-2.0-dev,
               gir1.2-graphene-1.0-dev,
               gir1.2-pango-1.0-dev,
               gir1.2-pangocairo-1.0-dev,
               gir1.2-xfixes-4.0-dev,
               gir1.2-xlib-2.0-dev,
               gnome-control-center-data,
               gnome-pkg-tools,
               gnome-settings-daemon-mobile-common <!nocheck>,
               gnome-settings-daemon-mobile-dev,
               gobject-introspection (>= 1.80),
               gsettings-desktop-schemas-dev (>= 40~alpha),
               gtk-doc-tools,
               libei-dev (>= 1.3.901),
               libeis-dev (>= 1.3.901),
               libcairo2-dev,
               libcanberra-gtk3-dev,
               libcolord-dev,
               libdisplay-info-dev (>= 0.2),
               libdrm-dev (>= 2.4.118),
               libegl1-mesa-dev,
               libfribidi-dev,
               libgbm-dev (>= 21.3),
               libgdk-pixbuf-2.0-dev,
               libgl-dev,
               libgles-dev,
               libglib2.0-dev (>= 2.76),
               libgnome-desktop-4-dev,
               libgraphene-1.0-dev,
               libgtk-3-dev <!nocheck>,
               libgtk-4-dev,
               libgudev-1.0-dev (>= 238),
               libice-dev,
               libinput-dev (>= 1.27.0),
               libjson-glib-dev,
               liblcms2-dev,
               libnvidia-egl-wayland-dev,
               libpam0g-dev,
               libpango1.0-dev,
               libpipewire-0.3-dev (>= 1.2.0),
               libpixman-1-dev (>= 0.42),
               libsm-dev,
               libstartup-notification0-dev,
               libsysprof-6-dev [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x],
               libsysprof-capture-4-dev (>= 3.40.1) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x],
               libsystemd-dev,
               libwacom-dev,
               libwayland-dev (>= 1.23),
               libxau-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-randr0-dev,
               libxcb-res0-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxfixes-dev,
               libxi-dev,
               libxinerama-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               meson (>= 1.3.0),
               pipewire <!nocheck>,
               pkgconf,
               python3-argcomplete,
               python3-dbus <!nocheck>,
               python3-dbusmock,
               python3-docutils,
               sysprof [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x],
               systemd-dev,
               wayland-protocols (>= 1.41),
               wireplumber <!nocheck>,
               xauth <!nocheck>,
               xcvt:native,
               xkb-data,
               xvfb,
               xwayland (>= 2:23.1.0),
               zenity,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://mutter.gnome.org/
Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
Vcs-Browser: https://salsa.debian.org/gnome-team/mutter

Package: mutter-mobile
Architecture: linux-any
Depends: adwaita-icon-theme,
         gnome-settings-daemon-mobile-common,
         gsettings-desktop-schemas (>= 40~alpha),
         mutter-mobile-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-window-manager
Suggests: gnome-control-center,
          xdg-user-dirs
Breaks: mutter-common (<< 48~beta), mutter
Replaces: mutter-common (<< 48~beta), mutter
Conflicts: mutter
Description: Example window manager using GNOME's window manager library
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the mutter executable. It can be used as a
 standalone window manager, but is primarily intended for debugging.

Package: mutter-mobile-16-tests
Architecture: linux-any
Depends: at-spi2-core,
         dbus-daemon,
         dmz-cursor-theme,
         libglib2.0-bin,
         libmutter-mobile-16-0 (= ${binary:Version}),
         libmutter-mobile-test-16 (= ${binary:Version}),
         mutter-mobile (= ${binary:Version}),
         pipewire (>= 1.2.0),
         python3,
         python3-dbus,
         python3-dbusmock,
         wireplumber,
         xauth,
         xvfb,
         xwayland (>= 2:23.1.0),
         zenity,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: mutter-16-tests
Conflicts: mutter-16-tests
Description: Tests for GNOME's window manager library
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

Package: gir1.2-mutter-mobile-16
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: libmutter-mobile-16-0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${gir:Provides}
Replaces: gir1.2-mutter-16
Conflicts: gir1.2-mutter-16
Description: GObject introspection data for Mutter
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.

Package: libmutter-mobile-16-0
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: adwaita-icon-theme,
         gsettings-desktop-schemas (>= 40~alpha),
         mutter-mobile-common (>= ${source:Version}),
         mutter-mobile-common-bin (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: gnome-shell (<< 48~rc),
        xwayland (<< 2:23.1.0),
Replaces: libmutter-16-0
Conflicts: libmutter-16-0
Description: window manager library from the Mutter window manager
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the window manager shared library, used by mutter
 itself, and gnome-shell.

Package: libmutter-mobile-16-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: gir1.2-mutter-mobile-16 (= ${binary:Version}),
         gnome-settings-daemon-mobile-dev,
         gobject-introspection,
         gsettings-desktop-schemas-dev (>= 40~alpha),
         libatk1.0-dev,
         libcairo2-dev,
         libcanberra-dev,
         libcolord-dev,
         libdisplay-info-dev (>= 0.2),
         libdrm-dev (>= 2.4.118),
         libeis-dev (>= 1.3.901),
         libegl1-mesa-dev,
         libgbm-dev (>= 21.3),
         libgdk-pixbuf-2.0-dev,
         libgles-dev,
         libglib2.0-dev (>= 2.76),
         libgnome-desktop-4-dev,
         libgraphene-1.0-dev,
         libinput-dev (>= 1.27.0),
         liblcms2-dev,
         libmutter-mobile-16-0 (= ${binary:Version}),
         libnvidia-egl-wayland-dev,
         libpango1.0-dev,
         libpipewire-0.3-dev (>= 1.2.0),
         libsysprof-capture-4-dev (>= 3.40.1) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x],
         libstartup-notification0-dev,
         libsystemd-dev,
         libwayland-dev (>= 1.23),
         libx11-dev,
         libx11-xcb-dev,
         libxcb-randr0-dev,
         libxcb-res0-dev,
         libxcomposite-dev,
         libxcursor-dev,
         libxkbcommon-x11-dev,
         libxdamage-dev,
         libxext-dev,
         libxfixes-dev,
         libxi-dev,
         libxinerama-dev,
         libxkbcommon-dev,
         libxkbfile-dev,
         libxrandr-dev,
         libxtst-dev,
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Replaces: libmutter-16-dev
Conflicts: libmutter-16-dev
Description: Development files for the Mutter window manager
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the development files.

Package: libmutter-mobile-test-16
Section: libs
Architecture: linux-any
Depends: libmutter-mobile-16-0 (= ${binary:Version}),
         mutter-mobile (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gir1.2-metatest-16
Replaces: libmutter-test-16
Conflicts: libmutter-test-16
Description: Test helper library for GNOME's window manager library
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 This package contains a private library used by the automated tests for
 mutter and gnome-shell. It should not be used by non-GNOME packages.

Package: mutter-mobile-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: magpie-common (<< 0.9.3-0ubuntu8~)
Replaces: magpie-common (<< 0.9.3-0ubuntu8~), mutter-common
Conflicts: mutter-common
Description: shared files for the Mutter window manager
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
